GET
/v3/reference/options/contracts
Options Contracts (All)
List options contracts (active + expired), filterable by underlying.
Endpoint Details
| HTTP Method | GET |
|---|---|
| Path | /v3/reference/options/contracts |
| Version | v3 |
| Minimum Plan | free |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
api_key |
string | Required | Your API key for authentication |
asset_class |
string | Optional | Filter by asset class (stocks, options, forex, crypto) |
locale |
string | Optional | Filter by locale/market (default: us) |
limit |
integer | Optional | Maximum number of results |
cursor |
string | Optional | Pagination cursor for next page |
Example Request
curl "https://mail.tradeiqai.com/api/v3/reference/options/contracts?api_key=YOUR_API_KEY"
Note: Replace YOUR_API_KEY with your actual API key.
Response Attributes
| Attribute | Type | Description |
|---|---|---|
ok | boolean | Indicates if the request was successful (e.g., 1) |
data | object | Response data object |
data.status | string | Response status (typically "OK") (e.g., OK) |
data.results | array | Array of 100 items |
| Array items contain: | ||
data.results[].cfi | string | String value (e.g., OCASPS) |
data.results[].contract_type | string | String value (e.g., call) |
data.results[].exercise_style | string | String value (e.g., american) |
data.results[].expiration_date | string | String value (e.g., 2026-04-17) |
data.results[].primary_exchange | string | String value (e.g., BATO) |
data.results[].shares_per_contract | integer | Integer (e.g., 100) |
data.results[].strike_price | integer | Integer (e.g., 70) |
data.results[].ticker | string | String value (e.g., O:A260417C00070000) |
data.results[].underlying_ticker | string | String value (e.g., A) |
data.next_url | string | URL for pagination to fetch the next page of results (e.g., https://api.tradeiqai.com/v3/reference/options/con...) |
Example Response
{
"ok": true,
"data": {
"status": "OK",
"count": 100,
"results": [
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A260417C00070000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A260417C00075000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A260417C00080000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A260417C00085000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A260417C00090000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A260417C00095000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A260417C00100000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A260417C00105000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A260417C00110000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A260417C00115000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A260417C00120000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A260417C00125000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A260417C00130000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A260417C00135000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A260417C00140000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A260417C00145000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A260417C00150000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A260417C00155000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A260417C00160000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A260417C00165000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A260417C00170000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A260417C00175000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A260417C00180000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A260417C00185000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A260417C00190000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A260417C00195000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A260417C00200000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 210,
"ticker": "O:A260417C00210000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 220,
"ticker": "O:A260417C00220000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A260417P00070000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A260417P00075000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A260417P00080000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A260417P00085000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A260417P00090000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A260417P00095000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A260417P00100000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A260417P00105000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A260417P00110000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A260417P00115000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A260417P00120000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A260417P00125000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A260417P00130000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A260417P00135000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A260417P00140000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A260417P00145000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A260417P00150000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A260417P00155000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A260417P00160000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A260417P00165000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A260417P00170000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A260417P00175000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A260417P00180000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A260417P00185000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A260417P00190000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A260417P00195000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A260417P00200000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 210,
"ticker": "O:A260417P00210000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-04-17",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 220,
"ticker": "O:A260417P00220000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A260515C00065000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A260515C00070000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A260515C00075000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A260515C00080000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A260515C00085000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A260515C00090000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A260515C00095000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A260515C00100000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A260515C00105000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A260515C00110000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A260515C00115000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A260515C00120000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 125,
"ticker": "O:A260515C00125000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 130,
"ticker": "O:A260515C00130000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 135,
"ticker": "O:A260515C00135000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 140,
"ticker": "O:A260515C00140000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 145,
"ticker": "O:A260515C00145000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 150,
"ticker": "O:A260515C00150000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 155,
"ticker": "O:A260515C00155000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 160,
"ticker": "O:A260515C00160000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 165,
"ticker": "O:A260515C00165000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 170,
"ticker": "O:A260515C00170000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 175,
"ticker": "O:A260515C00175000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 180,
"ticker": "O:A260515C00180000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 185,
"ticker": "O:A260515C00185000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 190,
"ticker": "O:A260515C00190000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 195,
"ticker": "O:A260515C00195000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 200,
"ticker": "O:A260515C00200000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 210,
"ticker": "O:A260515C00210000",
"underlying_ticker": "A"
},
{
"cfi": "OCASPS",
"contract_type": "call",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 220,
"ticker": "O:A260515C00220000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 65,
"ticker": "O:A260515P00065000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 70,
"ticker": "O:A260515P00070000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 75,
"ticker": "O:A260515P00075000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 80,
"ticker": "O:A260515P00080000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 85,
"ticker": "O:A260515P00085000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 90,
"ticker": "O:A260515P00090000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 95,
"ticker": "O:A260515P00095000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 100,
"ticker": "O:A260515P00100000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 105,
"ticker": "O:A260515P00105000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 110,
"ticker": "O:A260515P00110000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 115,
"ticker": "O:A260515P00115000",
"underlying_ticker": "A"
},
{
"cfi": "OPASPS",
"contract_type": "put",
"exercise_style": "american",
"expiration_date": "2026-05-15",
"primary_exchange": "BATO",
"shares_per_contract": 100,
"strike_price": 120,
"ticker": "O:A260515P00120000",
"underlying_ticker": "A"
}
],
"next_url": "https://api.tradeiqai.com/v3/reference/options/contracts?cursor=YXA9JTdCJTIySUQlMjIlM0ElMjI0ODM1MDQxMzA5MjAwMjkzMjc3JTIyJTJDJTIyU3RhcnREYXRlVXRjJTIyJTNBJTdCJTIyVGltZSUyMiUzQSUyMjIwMjUtMDktMTlUMDAlM0EwMCUzQTAwWiUyMiUyQyUyMlZhbGlkJTIyJTNBdHJ1ZSU3RCUyQyUyMkVuZERhdGVVdGMlMjIlM0ElN0IlMjJUaW1lJTIyJTNBJTIyMDAwMS0wMS0wMVQwMCUzQTAwJTNBMDBaJTIyJTJDJTIyVmFsaWQlMjIlM0FmYWxzZSU3RCUyQyUyMnVuZGVybHlpbmdfdGlja2VyJTIyJTNBJTIyQSUyMiUyQyUyMnRpY2tlciUyMiUzQSUyMk8lM0FBMjYwNTE1UDAwMTIwMDAwJTIyJTJDJTIyZXhwaXJhdGlvbl9kYXRlJTIyJTNBJTIyMjAyNi0wNS0xNVQwMCUzQTAwJTNBMDBaJTIyJTJDJTIyc3RyaWtlX3ByaWNlJTIyJTNBMTIwJTJDJTIyY2ZpJTIyJTNBJTIyT1BBU1BTJTIyJTJDJTIyY29udHJhY3RfdHlwZSUyMiUzQSUyMnB1dCUyMiUyQyUyMmV4ZXJjaXNlX3N0eWxlJTIyJTNBJTIyYW1lcmljYW4lMjIlMkMlMjJwcmltYXJ5X2V4Y2hhbmdlJTIyJTNBJTdCJTIyU3RyaW5nJTIyJTNBJTIyQkFUTyUyMiUyQyUyMlZhbGlkJTIyJTNBdHJ1ZSU3RCUyQyUyMnNoYXJlc19wZXJfY29udHJhY3QlMjIlM0ExMDAlMkMlMjJhZGRpdGlvbmFsX3VuZGVybHlpbmdzJTIyJTNBJTIyJTVCJTVEJTIyJTdEJmFzPSZsaW1pdD0xMDAmb3JkZXI9YXNjJnNvcnQ9dGlja2Vy"
}
}